Subject: [DNSOP] Fwd: New Version Notification for draft-ietf-dnsop-refuse-any-05.txt

From: Joe Abley <[email-masked]>
Date: Mon, 5 Mar 2018 14:28:37 -0500

Hi all,

Per subject, see below, etc. I apologise for the ludicrous amount of time it has taken for me to do these final edits. Fortunately the beatings continued until the morale improved.

I believe the -05 represents a reasonable facsimile of the consensus of suggestions that came up at the working group last call, which some of you may recall (others are no doubt too young). Apart from language changes, the principal change from the -04 is a softening of the language regarding RRSIG, basically punting any such specification to future work whilst observing the potential for alignment in approach. This seemed like a reasonable compromise and arguably better than specifying behaviour without the benefit of real-world experience or detailed RRSIG-specific thinking.

Joe

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-ietf-dnsop-refuse-any-05.txt
> Date: 5 March 2018 at 14:17:50 EST
> To: "Joe Abley" <[email-masked]>, "Marek Majkowski" <[email-masked]>, "Olafur Gudmundsson" <[email-masked]>
> 
> 
> A new version of I-D, draft-ietf-dnsop-refuse-any-05.txt
> has been successfully submitted by Joe Abley and posted to the
> IETF repository.
> 
> Name:		draft-ietf-dnsop-refuse-any
> Revision:	05
> Title:		Providing Minimal-Sized Responses to DNS Queries that have QTYPE=ANY
> Document date:	2018-03-05
> Group:		dnsop
> Pages:		10
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-dnsop-refuse-any-05.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-dnsop-refuse-any/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-dnsop-refuse-any-05
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-dnsop-refuse-any-05
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-dnsop-refuse-any-05
> 
> Abstract:
>   The Domain Name System (DNS) specifies a query type (QTYPE) "ANY".
>   The operator of an authoritative DNS server might choose not to
>   respond to such queries for reasons of local policy, motivated by
>   security, performance or other reasons.
> 
>   The DNS specification does not include specific guidance for the
>   behaviour of DNS servers or clients in this situation.  This document
>   aims to provide such guidance.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>

---

From: Richard Gibson <[email-masked]>
Date: Mon, 5 Mar 2018 15:00:25 -0500

To re-raise my unaddressed points:

  * The document should include planned text you mentioned acknowledging
    lack of a signal to indicate "partial response" for section
    4.1/section 4.3 subset responses ([1]).
  * "Conventional [ANY] response" is used but not defined ([2]).
  * The document needs to identify itself as updating RFC 1034
    (specifically, section 4.3.2).
  * In section 7, "ANY does not mean ALL" is misleading—[RFC 1035
    section 3.2.3] is clear about QTYPE=255 being "a request for **all**
    records" (emphasis mine). That said, the proposed response behavior
    is consistent with that RFC.

[1]: https://www.ietf.org/mail-archive/web/dnsop/current/msg20629.html
[2]: https://www.ietf.org/mail-archive/web/dnsop/current/msg20628.html
[RFC 1035 section 3.2.3]: https://tools.ietf.org/html/rfc1035#section-3.2.3

On 03/05/2018 02:28 PM, Joe Abley wrote:
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop

---

From: Joe Abley <[email-masked]>
Date: Mon, 5 Mar 2018 16:47:29 -0500

On 5 Mar 2018, at 15:00, Richard Gibson <[email-masked]> wrote:

> 	• The document should include planned text you mentioned acknowledging lack of a signal to indicate "partial response" for section 4.1/section 4.3 subset responses ([1]).
> 	• "Conventional [ANY] response" is used but not defined ([2]).
> 	• The document needs to identify itself as updating RFC 1034 (specifically, section 4.3.2).
> 	• In section 7, "ANY does not mean ALL" is misleading—[RFC 1035 section 3.2.3] is clear about QTYPE=255 being "a request for **all** records" (emphasis mine). That said, the proposed response behavior is consistent with that RFC.

Many apologies for missing those. Fortunately I had spare minutes before the cut-off. With luck the following will address those issues; if not, you can look forward to another rev in a couple of weeks.

Begin forwarded message:

> Subject: New Version Notification for draft-ietf-dnsop-refuse-any-06.txt
> Date: 5 March 2018 at 16:44:49 EST
> A new version of I-D, draft-ietf-dnsop-refuse-any-06.txt
> Revision:	06
> Pages:		11
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-dnsop-refuse-any-06.txt
> Htmlized:       https://tools.ietf.org/html/draft-ietf-dnsop-refuse-any-06
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-dnsop-refuse-any-06
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-dnsop-refuse-any-06
> 
> Abstract:

---

From: Richard Gibson <[email-masked]>
Date: Tue, 6 Mar 2018 12:09:16 -0500

That was literally the fastest turnaround I've ever experienced. All the 
changes look good to me; thank you very much.